hjwb.net
当前位置:首页 >> jAvAx.El.jAr >>

jAvAx.El.jAr

“心中的太阳”回答的正确,,,就是缺那两个包,,, 以前我也有遇到过。。。

el表达式所需要用到的包

原因可能有二,若你曾用过连接池,则可能是web-tomcat/conf下的server.xml文件有问题。若仍不行,则很有可能是web.xml文件中出现错误配置。最好将原来添加的配置都注释掉,再运行下试试,若可以。则说明就是web.xml中配置错误啦!

应该是你写的 l.EmpNo估计是大小写错了. 你换成 ${l.empNo} 试一下,因为EL是读取属性的getter方法的,一般按照属性首字母小写来处理.

servlet-api是不是重复引用了?你可以先备份,然后在项目里删除这两个JAR包,可能是和tomcat里的包重复了。猜测,尝试下。

应该是支撑jar包没导入,standard的那个jar包,或者你直接将环境换成5.0……试试看

没有找到这个 javax.el.ELResolver 的class类,看看是不是没有引包

JRE的 rt.jar 里带的。

把那个 jsp-api.jar servlet-api.jar 删除即可! Details: 把 webapps\maintenance\WEB-INF\lib\ 下面的 servlet-api.jar 删掉吧! tomcat自己有,不需要你提供! 顺便看看其他的jar, 和 tomcat\lib 目录比较一下,tomcat已经有的,就别留着了!...

少了一些jar包, 不能加载这个类。

网站首页 | 网站地图
All rights reserved Powered by www.hjwb.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com